<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

/* 

items en portada

*/

if (!isset($_GET["sig"]))
{

	$salida_portada = array();
	$qt = myquery("SELECT * FROM ".PORTADA." WHERE enabled=1 ORDER BY orden ASC","[var_portada=1]");
	$i=0;
	while ($rowt = myfetch($qt))
	{
		$q = myquery("SELECT * FROM ".ITEMS." WHERE enabled=1 AND item_tipo=1 AND catID>0 AND itemID='".$rowt["itemID"]."'","[var_portada=2]");
		if ($row = myfetch($q))
		{

			// bandera admin [+] de item en portada
			$row["es_portada"] = $rowt["portID"];

			include ("./ints/inc/inc_item_list.php");
									
			$indice_ini = $i/CONFIG_55;
			$indice_fin = ($i+1)/CONFIG_55;
				
			if (is_int($indice_ini))
			{
				
				$row["salida_portada_tr_ini"] = 1;
			}

			if (is_int($indice_fin))
			{
				
				$row["salida_portada_tr_fin"] = 1;
			}
			
			// ancho de celda
			$row["salida_gral_celda"] = 100/CONFIG_55;						
			
			// identifica que es portada
			$row["portID"] = $rowt["portID"];
								
			$salida_portada[] = $row;


		} // del if $row_port = myfetch($q)
		
	$i++;
	} // del while
	
	// Smarty
	$smarty->assign("salida_portada",$salida_portada);
	
}

/* 

FIN de items en portada

*/


/* 

ofertas de items producto

*/

	$salida_oferta = array();
	$qto = myquery("SELECT * FROM ".TD_OFERTAS." WHERE enabled=1 ORDER BY orden ASC","[var_portada=5]");

	// columnas
	$vercolumnas = CONFIG_72;
	
	$i=0;
	while ($rowt = myfetch($qto))
	{
		$q = myquery("SELECT * FROM ".ITEMS." WHERE enabled=1 AND item_tipo=3 AND cataID>0 AND itemID='".$rowt["itemID"]."'","[var_portada=6]");
		if ($rowPRD = myfetch($q))
		{

			// bandera admin [+] de item en portada
			$rowPRD["es_portada"] = $rowt["oferID"];

			include ("./ints/inc/inc_item_list_prd.php");
									
			
			// identifica que es portada
			$rowPRD["oferID"] = $rowt["oferID"];
								
			$salida_oferta[] = $rowPRD;


		} // del if $rowPRD = myfetch($q)
		
	$i++;
	} // del while
	
	// Smarty
	$smarty->assign("salida_oferta",$salida_oferta);


/* 

FIN de ofertas de items producto

*/


/* 

Mostrar ultimos en portada con paginas 

*/

if (CONFIG_32 == 1)
{


	$q = myquery("SELECT * FROM ".ITEMS." WHERE enabled=1 AND item_tipo=1 AND catID>0 ORDER BY orden DESC, itemID DESC limit ".$sig.", ".CONFIG_23."","[var_portada=3]");
	$i=0;
	while ($row = myfetch($q))
	{

			include ("./ints/inc/inc_item_list.php");

			$indice_ini = $i/CONFIG_61;
			$indice_fin = ($i+1)/CONFIG_61;
				
			if (is_int($indice_ini))
			{
				
				$row["salida_portada_tr_ini"] = 1;
			}

			if (is_int($indice_fin))
			{
				
				$row["salida_portada_tr_fin"] = 1;
			}
			
			// ancho de celda
			$row["salida_gral_celda"] = 100/CONFIG_61;						
			
			$salida2[] = $row;

								
	$i++;
	} // del while

	// Smarty
	$smarty->assign("salida_portada_todos",$salida2);

	// paginas
	$q_todos = myquery("SELECT * FROM ".ITEMS." WHERE enabled=1 AND item_tipo=1 AND catID>0","[var_portada=4]");
	$cnt_items = mynumrows($q_todos);	
	$paginas = paginas_gral($cnt_items, $sig, $pag, CONFIG_23, RUTA_INICIO."len".IGUAL.$idioma_actual.AMPER."sig".IGUAL);

	// Smarty
	$smarty->assign("paginas", $paginas);

	
}

/*

FIN de Mostrar ultimos en portada con paginas 

*/

?>